/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.block.trait;

/**
 * Represents all possible {@link IntegerTrait}s that are known to exist in
 * vanilla minecraft.
 */
public final class IntegerTraits {

    private IntegerTraits() {}

    public static final IntegerTrait ANVIL_DAMAGE = null;
    public static final IntegerTrait CACTUS_AGE = null;
    public static final IntegerTrait CAKE_BITES = null;
    public static final IntegerTrait CARROTS_AGE = null;
    public static final IntegerTrait CAULDRON_LEVEL = null;
    public static final IntegerTrait COCOA_AGE = null;
    public static final IntegerTrait DAYLIGHT_DETECTOR_INVERTED_POWER = null;
    public static final IntegerTrait DAYLIGHT_DETECTOR_POWER = null;
    public static final IntegerTrait FARMLAND_MOISTURE = null;
    public static final IntegerTrait FIRE_AGE = null;
    public static final IntegerTrait FIRE_UPPER = null;
    public static final IntegerTrait FLOWER_POT_LEGACY_DATA = null;
    public static final IntegerTrait FLOWING_LAVA_LEVEL = null;
    public static final IntegerTrait FLOWING_WATER_LEVEL = null;
    public static final IntegerTrait HEAVY_WEIGHTED_PRESSURE_PLATE_POWER = null;
    public static final IntegerTrait LAVA_LEVEL = null;
    public static final IntegerTrait LIGHT_WEIGHTED_PRESSURE_PLATE_POWER = null;
    public static final IntegerTrait MELON_STEM_AGE = null;
    public static final IntegerTrait NETHER_WART_AGE = null;
    public static final IntegerTrait POTATOES_AGE = null;
    public static final IntegerTrait POWERED_REPEATER_DELAY = null;
    public static final IntegerTrait PUMPKIN_STEM_AGE = null;
    public static final IntegerTrait REDSTONE_WIRE_POWER = null;
    public static final IntegerTrait REEDS_AGE = null;
    public static final IntegerTrait SAPLING_STAGE = null;
    public static final IntegerTrait SNOW_LAYER_LAYERS = null;
    public static final IntegerTrait STANDING_BANNER_ROTATION = null;
    public static final IntegerTrait STANDING_SIGN_ROTATION = null;
    public static final IntegerTrait UNPOWERED_REPEATER_DELAY = null;
    public static final IntegerTrait WATER_LEVEL = null;
    public static final IntegerTrait WHEAT_AGE = null;
}
