/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.statistic;

/**
 * An enumeration of all available {@link Statistic}s from the vanilla game.
 */
public final class Statistics {

    public static final Statistic ANIMALS_BRED = null;
    public static final Statistic ARMOR_CLEANED = null;
    public static final Statistic BANNER_CLEANED = null;
    public static final Statistic BEACON_INTERACTION = null;
    public static final Statistic BOAT_DISTANCE = null;
    public static final Statistic BREWINGSTAND_INTERACTION = null;
    public static final Statistic CAKE_SLICES_EATEN = null;
    public static final Statistic CAULDRON_FILLED = null;
    public static final Statistic CAULDRON_USED = null;
    public static final Statistic CHEST_OPENED = null;
    public static final Statistic CLIMB_DISTANCE = null;
    public static final Statistic CRAFTING_TABLE_INTERACTION = null;
    public static final Statistic CROUCH_DISTANCE = null;
    public static final Statistic DAMAGE_DEALT = null;
    public static final Statistic DAMAGE_TAKEN = null;
    public static final Statistic DEATHS = null;
    public static final Statistic DISPENSER_INSPECTED = null;
    public static final Statistic DIVE_DISTANCE = null;
    public static final Statistic DROPPER_INSPECTED = null;
    public static final Statistic ENDERCHEST_OPENED = null;
    public static final Statistic FALL_DISTANCE = null;
    public static final Statistic FISH_CAUGHT = null;
    public static final Statistic FLOWER_POTTED = null;
    public static final Statistic FURNACE_INTERACTION = null;
    public static final Statistic FLY_DISTANCE = null;
    public static final Statistic HOPPER_INSPECTED = null;
    public static final Statistic HORSE_DISTANCE = null;
    public static final Statistic ITEMS_DROPPED = null;
    public static final Statistic ITEMS_ENCHANTED = null;
    public static final Statistic NOTEBLOCK_PLAYED = null;
    public static final Statistic NOTEBLOCK_TUNED = null;
    public static final Statistic JUMP = null;
    public static final Statistic JUNK_FISHED = null;
    public static final Statistic LEAVE_GAME = null;
    public static final Statistic MINECART_DISTANCE = null;
    public static final Statistic MOB_KILLS = null;
    public static final Statistic PIG_DISTANCE = null;
    public static final Statistic PLAYER_KILLS = null;
    public static final Statistic TIME_PLAYED = null;
    public static final Statistic RECORD_PLAYED = null;
    public static final Statistic SPRINT_DISTANCE = null;
    public static final Statistic SWIM_DISTANCE = null;
    public static final Statistic TALKED_TO_VILLAGER = null;
    public static final Statistic TIME_SINCE_DEATH = null;
    public static final Statistic TRADED_WITH_VILLAGER = null;
    public static final Statistic TRAPPED_CHEST_TRIGGERED = null;
    public static final Statistic TREASURE_FISHED = null;
    public static final Statistic WALK_DISTANCE = null;

    private Statistics() {
    }

}
